//==========================================================================
// CSHAPE.H        Header for the file CSHAPE.CPP
//==========================================================================

#ifndef __CSHAPE_H     //Include this file only if it has not already been
#define __CSHAPE_H     //included in this compile.

#include <windows.h>   //Windows API main header file

//==========================================================================
// CLASS           CShape
// 
// DERIVED FROM    tagRect structure in Windows API
//
// MEMBERS         CShape (int L, int T, int R, int B);
//                 Selected ();
//                 Select (BOOL tf);
//                 Draw (CDC &dc);
//                 BOOL selected;
//
// REMARKS         Used to manipulate a circle on the screen.
//==========================================================================

class CShape: public tagRECT {
public:
   CShape () { left = top = right = bottom = selected = 0;
               ColorSelected = 255; ColorNotSelected = 0; }
   CShape (int L, int T, int R, int B, 
           COLORREF CSelected, COLORREF CNotSelected);
   BOOL Selected () { return selected; }
   void Select (BOOL tf) { selected = tf; }
   void DrawShape (HDC hdc);
   void Offset (int x, int y);
   void operator= (const CShape& srcShape);
   void SetColors (COLORREF CSelected, COLORREF CNotSelected);

private:
   BOOL selected;
   COLORREF ColorSelected;
   COLORREF ColorNotSelected;
};

#endif                 //End conditional include of this file
      