//==========================================================================
// MLIGHTS.H       Header file for the MLIGHTS.CPP and MLIGHTS project
//==========================================================================

#ifndef __MLIGHTS_H     //Include this file only if it has not already been
#define __MLIGHTS_H     //included in this compile.

#include <windows.h>    //Windows API main header file


//==========================================================================
// Application constants
//==========================================================================

#define APP_TITLE               "MLights"
#define MAINWND_CLASSNAME       "MLightsMainWndClass"            
#define INI_FILENAME            "MLIGHTS.INI"
#define MAX_NUM_LIGHTS          6
#define MAX_LABEL_CHARS         5
#define NUM_OPTIONS             3 
#define NUM_LIGHTS              6

#define NUM_HOOKEDFUNCTIONS     6
#define OPENCOMM                0
#define CLOSECOMM               1
#define GETCOMMERROR            2
#define READCOMM                3
#define WRITECOMM               4
#define SETCOMMEVENTMASK        5

#define CTS                     0
#define DSR                     1
#define RI                      2
#define RLSD                    3
#define TX                      4
#define RX                      5

#define COMM_MSRSHADOW         35 
#define MSR_CTS              0x10  // Absolute CTS state in MSR   
#define MSR_DSR              0x20  // Absolute DSR state in MSR   
#define MSR_RI               0x40  // Absolute RI state in MSR    
#define MSR_RLSD             0x80  // Absolute RLSD state in MSR

#define HIDECAPTION        0x0001
#define TOPMOST            0x0002
#define MINIFPORTCLOSED    0x0004
#define COLORSCHANGED      0x0008

#define ID_MLIGHTSTIMER        15  //Arbitrary identifier for the timer  


//==========================================================================
// Function declarations
//==========================================================================

int PASCAL WinMain (HINSTANCE hInstance,    
                    HINSTANCE hPrevInstance,
                    LPSTR     lpszCmdLine,  
                    int       wCmdShow); 
BOOL InitApplication (HINSTANCE hInstance);           
BOOL InitInstance (HINSTANCE hInstance, int nCmdShow);
void CreateLights (int width, int height);

#endif                 //End conditional include of this file
